BOOTPREF(8) | System Manager's Manual (atari) | BOOTPREF(8)

# NAME

`bootpref` —
set NVRAM boot preference

# SYNOPSIS

`bootpref` | [-v] [-b os] [-d delay] [-l lang] [-k kbd] [-s id] [-f fmt] [-1] [-2] [-e sep] [-c colours] [-n] [-p] [-t] [-v] [-4] [-8] [-o] [-O] [-x] [-X] [-i] [-I]

# DESCRIPTION

`bootpref` views and sets the NVRAM boot preferences.

The program options are:

`-V`
  verbose output (when setting preferences)
`-b` netbsd
  set the boot OS to NetBSD
`-b` tos
  set the boot OS to TOS
`-b` linux
  set the boot OS to Linux
`-b` systemv
  set the boot OS to System V
`-b` none
  set the boot OS to none
`-d` delay
  set the boot delay to delay seconds, where delay is a value between 0 and 255
`-l` english
  set the language to English
`-l` german
  set the language to German
`-l` french
  set the language to French
`-l` spanish
  set the language to Spanish
`-l` italian
  set the language to Italian
`-k` american
  set the keyboard layout to American
`-k` german
  set the keyboard layout to German
`-k` french
  set the keyboard layout to French
`-k` british
  set the keyboard layout to British
`-k` spanish
  set the keyboard layout to Spanish
`-k` italian
  set the keyboard layout to Italian
`-k` sw f
`-k` swiss french
  set the keyboard layout to Swiss (French)
`-k` sw g
`-k` swiss german
  set the keyboard layout to Swiss (German)
`-s` id
  set the SCSI id to id, where id is a value between 0 and 7
`-f` mmddyy
`-f` ddmmyy
`-f` yymmdd
`-f` yyddmm
  set the date format
`-1`
  set the date format to 12 hour clock
`-2`
  set the date format to 24 hour clock
`-e` sep
  set the date format separator to sep
`-c` colours
  set the number of colours - 2, 4, 16, 256 or 65535
`-n`
  set the video mode to NTSC
`-p`
  set the video mode to PAL
`-t`
  set the video mode to TV
`-v`
  set the video mode to VGA
`-4`
  set the video mode to 40 columns
`-8`
  set the video mode to 80 columns
`-o`
  set the video mode to overscan
`-O`
  set the video mode to no overscan
`-x`
  set the video mode to ST compatibility
`-X`
  set the video mode to no ST compatibility
`-i`
  set the video mode to interlace (TV), double line (VGA)
`-I`
  set the video mode to no interlace/double line

All strings can be specified by their shortest abbreviation

If no parameters are specified, `bootpref` shows the current boot preferences.

# SEE ALSO

atari/installboot(8)

# HISTORY

The `bootpref` command first appeared in NetBSD 1.4.

# AUTHORS

Julian Coleman

# BUGS

Setting the boot OS to none will cause the machine not to boot from the hard disk.

The majority of the parameters are not used under NetBSD.

February 17, 2017 | NetBSD 9.2